Java Enforcer

Mods
580,116 Downloads Last Updated: Mar 22, 2016 Game Version: 1.7.10

 

This Mod will prevent a modpack user from loading your modpack unless 

certain criteria is meet.(mods restriction / java version)

 

Currently only install Client Side, Servers don't need this

and currently will cause a player logon crashes. 

 

This mod will force client side to update java to the correct version.

Some mod packs require you to have java 1.8 for example,

This will make sure to keep your issue trackers on your mod pack down from people having the incorrect java version.

Cause lets face it.. people don't read, so let java enforcer make them read!

 

This mod will also allow you to set a list of mods that aren't compatible with your modpack. For when people decided you forgot to install this mod, when you really did it because it crashes. These are meant  for mods that will cause crashes, and may not be fixed anytime soon. Mostly this is meant for client side mods that don't play nice.

 

Basically keep you issue trackers to things that matter with this mod!

 

To the Java Enforcer Forums

 

This mod is still in testing. If you get any errors, please inform me in the issue tracker. 

 

Also this mod should run before any other mod, but if it doesn't I'll need to know. 

 

Currently this mod is only client side.

  

Features:

  • Force Players to a minimum java version
  • Prevent Players from installing certain mods that are not compatible with your Mod pack 
  • Prevent Players from installing Optifine if it crashes your mod pack
  • Allows custom messages on pop up
  • Keep your issue tracker issues to things that really matter.

 

Permissions
You may:

  • Use the mod for personal/private use
  • Include this mod within your own pack as long as due credit is given

You may NOT:

  • Re-upload the mod on another site without permission

 

Support me and this mod, and it will help me continue to develop. Support @

or

And 

 

 

 

Big Supporters:

Comments

  • To post a comment, please or register a new account.
Posts Quoted: